Subject: Re: [v6ops] I-D Action: draft-gont-v6ops-ipv6-addressing-considerations-00.txt

From: Eduard Metz <[email-masked]>
Date: Tue, 5 Jan 2021 14:24:14 +0100

Maybe the last column should be "Applicable to Internet" (no / no / yes)
or something along these lines. I assume the point here is to indicate that
link-local and ULA cannot be used on the Internet.

cheers,
  Eduard

On Thu, Dec 31, 2020 at 8:48 PM Brian E Carpenter <
[email-masked]> wrote:

> Gert,
>
> On 31-Dec-20 23:30, Gert Doering wrote:
> > Hi,
> >
> > On Thu, Dec 31, 2020 at 02:00:33PM +1300, Brian E Carpenter wrote:
> >> 4. The following table attempts to show some of the distinctions
> >> involved (simplified). View in a fixed-width font. You may not
> >> agree with it...
> >>
> >> Unicast       Prefix      IID        Routeable   Announced
> >> address       assigned    assigned
> >> types         by          by
> >> -----------------------------------------------------------
> >> Link-local    fixed       host       no          no
> >>               by RFC
> >>
> >> ULA           user/RA     host or    yes         IGP only
> >>               (random)    DHCPv6
> >>
> >> GUA           IANA/RIR/   host or    yes         IGP,
> >>               ISP/user/RA DHCPv6                 BGP4 by policy
> >
> > Indeed, I am not agreeing - as there is nothing that prevents ULAs from
> > being transported by BGP.
>
> Indeed, nothing in the laws of physics, but it's default-forbidden by
> an RFC ;-). Exactly how to express that in a short table is tricky.
>
> I think we all agree about this; what Fernando's draft shows is that it
> is quite hard to describe, and the word "global" is confusing.
> (Really for the same reason that URLs were renamed from "universal"
> to "uniform" in 1994. But renaming "global" at this stage seems almost
> impossible.)
>
>    Brian
>
> >
> > We use ULAs for "services that must never reachable from the Internet",
> > and our routing being what it is, everything is transported by BGP - only
> > loopbacks in OSPF.  The difference is "do we announce it to other ASes?"
> >
> > So maybe this should be "generally expected to be visible by other
> > networks on the Internet" (ULA: no, GUA: yes).
> >
> > But that's neither precise nor does "expected" mandate anything - I might
> > want to announce our ULA prefix to our sister company, using eBGP, and
> > I might decide to not announce our GUA IPv6 PI /48 that we use for our
> > backbone infra "because people are not supposed to send packets there"...
> >
> > Gert Doering
> >         -- NetMaster
> >
>
> _______________________________________________
> v6ops mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/v6ops
>

---

From: Gert Doering <[email-masked]>
Date: Tue, 5 Jan 2021 17:08:15 +0100

Hi,

> link-local and ULA cannot be used on the Internet.

What is "the Internet"?

We're an ISP, so if we use ULAs on our infrastructure, outside any
firewalls (but not announcing to other ASes, or leaking packets) - is
that "used on the Internet" or not?

Gert Doering
        -- NetMaster
-- 
have you enabled IPv6 on something today...?

SpaceNet AG                      Vorstand: Sebastian v. Bomhard, Michael Emmer
Joseph-Dollinger-Bogen 14        Aufsichtsratsvors.: A. Grundner-Culemann
D-80807 Muenchen                 HRB: 136055 (AG Muenchen)
Tel: +49 (0)89/32356-444         USt-IdNr.: DE813185279

---

From: Fernando Gont <[email-masked]>
Date: Tue, 5 Jan 2021 23:09:25 -0300

> that "used on the Internet" or not?

Agreed that "Applicable to Internet" is probably not a good taxonomy.

The proper (and useful) taxonomy is that of "scope". ULAs clearly don't 
have a global scope (as per the definition in RFC4007).

Given a ULA prefix (say, fd12:3456:7890:abcd::/64), it doesn't globally 
(and uniquely) identify a link. Similarly, nobody is in the position of 
publishing a ROA or restricting which AS can originate packets from such 
prefix.

IMO, generating the "Global ID" of ULAs from a PRNG does reduce the 
possibility of collisions *when a limited number of ULA-based networks 
are interconnected* -- but the birthday paradox tells you can't expect 
the ULA prefixes to be globally unique. There's more to "global scope" 
than simply asserting that if you interconnect, say, two networks the 
chances of colliding prefixes will be small.

Thanks,
-- 
Fernando Gont
SI6 Networks
e-mail: [email-masked]
PGP Fingerprint: 6666 31C6 D484 63B2 8FB1 E3C4 AE25 0D55 1D4E 7492

---

From: Eduard Metz <[email-masked]>
Date: Thu, 7 Jan 2021 09:48:05 +0100

It's indeed about the uniqueness of the prefix.
In terms of RFC4007 ULAs do not have a global scope, but are (or may be)
unique beyond link-local scope. There is not really a label for this it
seems

Apart from that ULA is hard to catch in terminology, I don't think there is
any disagreement